/*
** Class:  LotROLinux.SecureHTTPOverride
** Author: Alan Jackson
** Date:   6th June 2007
**
** Class to prevent Mono from throwing an exception
** when accessing a secure HTTP web page
**
** (C) 2007-2008 AJackson <ajackson@bcs.org.uk>
**
** This file is part of LotROLinux.
**
** LotROLinux is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 3 of the License, or
** (at your option) any later version.
**
** LotROLinux is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with LotROLinux.  If not, see <http://www.gnu.org/licenses/>.
*/
using System;
using System.Net;
using System.Security.Cryptography.X509Certificates;

namespace LotROLinux
{
	public class SecureHTTPOverride : System.Net.ICertificatePolicy
	{
		
		public SecureHTTPOverride()
		{
		}

		public bool CheckValidationResult(ServicePoint sp, 
			X509Certificate cert,WebRequest req, int problem)
		{
			return true;
		}
	}
}
